renorm {PROcess} | R Documentation

## Renormalize Spectra

### Description

Renormalize spectra for m/z values greater than `cutoff'.

### Usage

    renorm(Ma, cutoff)

### Arguments

`Ma` | a matrix, with rows the m/z values and the columns the samples.
`cutoff` | a real value, before which the portion of a spectrum will be ignored.

### Details

A sample of spectra will be normalized to have the same AUC, the median of the AUCs of spectra. Each AUC is calculated as the sum of the intensities whose m/z values are greater than `cutoff'.

### Value

A matrix, with rows the m/z values and the columns the samples. Only rows with m/z values greater than `cutoff' are kept.

### Examples

    example(rmBaseline)
    rtM <- renorm(testM, cutoff=1500)

[Package PROcess version 1.6.3 Index]